Update OrderAsk AIpatch https://api.warehance.com/v1/orders/{id}Required permission: write_orders Update details of an existing order for your organization or client.Path Paramsidintegerrequired≥ 1The ID of the order to update.Body Paramsshipping_method_idinteger | null≥ 1The ID of the new shipping method for the order.warehouse_idinteger | null≥ 1The ID of the new warehouse fulfilling this order.hold_until_datedate-time | nullThe new date and time until which to hold the order.required_ship_datedate-time | nullThe new date by which the order must be shipped.order_datedate-time | nullThe new date and time of the order. If provided, it must be in the past.ignore_address_validationboolean | nullWhether to ignore address validation errors.truefalseexclude_from_batch_shippingboolean | nullWhether to exclude the order from batch shipping.truefalseexclude_from_pickingboolean | nullWhether to exclude the order from picking.truefalseexclude_from_single_item_batchboolean | nullWhether to exclude the order from single item batch.truefalseaddress_holdboolean | nullSet address hold to true or false.truefalsepayment_holdboolean | nullSet payment hold to true or false.truefalsewarehouse_holdboolean | nullSet warehouse hold to true or false.truefalseallocation_holdboolean | nullSet allocation hold to true or false.truefalsefraud_holdboolean | nullSet fraud hold to true or false.truefalsepacking_notestringA note about the packing of the order.gift_notestringA note about the gift of the order.internal_notestringA note about the order for internal use.customs_contents_typestring | nullenumThe type of contents for customs purposes.merchandisedocumentsgiftmerchandisereturned_goodssampledangerous_goodshumanitarian_donationotherShow 8 enum valuescustoms_contents_explanationstring | nullAn explanation of the contents for customs purposes.custom_field1string | nullA custom field for storing additional order information.custom_field2string | nullA custom field for storing additional order information.custom_field3string | nullA custom field for storing additional order information.custom_field4string | nullA custom field for storing additional order information.custom_field5string | nullA custom field for storing additional order information.custom_field6string | nullA custom field for storing additional order information.statusstringThe new status of the order. Value must match an existing custom order status in warehance.tagsarray of strings | nullThis field is an upsert operation, and will replace the existing tags.tagsADD stringmetadataobject | nullA map of metadata to update in the order. Any fields provided that already exist will be updated, and any fields provided that do not exist will be added.metadata object | nullResponses 200Order updated successfully 400Bad RequestUpdated 10 months ago